using FNZCM.BlazorWasm.UI.Components.FnzBootstrap.Bases;
using Newtonsoft.Json;

namespace FNZCM.BlazorWasm.UI.Components.FnzBootstrap.Collapse
{
    public class Options : OptionsBase
    {
        private bool toggle = false;

        [JsonProperty("toggle")]
        public bool Toggle
        {
            get => toggle;
            set
            {
                if (toggle != value) _isChanged = true;
                toggle = value;
            }
        }
    }
}
